%define	name	gogglesmm
%define	version	0.11.2
%define	release	%mkrel	1

Name:		%{name}
Summary:	Goggles Music Manager is a music collection manager and player
Version:	%{version}
Release:	%{release}
License:	GPLv3
Source:		%{name}-%{version}.tar.bz2
URL:            http://code.google.com/p/gogglesmm/
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build

%ifarch i586
BuildRequires:  libcups2-devel libfox-devel libmesagl1-devel libmesaglu1-devel libtaglib-devel
BuildRequires:  libbzip2-devel libdbus-1-devel libdbus-glib-1_2-devel libgtk+2.0_0-devel
BuildRequires:  libjpeg-devel libpng-devel libsqlite3-devel libtiff-devel libx11_6-devel libxext6-devel
BuildRequires:  libxfixes3-devel libxine-devel libxi-devel zlib1-devel python-mpi4py-devel libgcrypt-devel
%endif
%ifarch x86_64
BuildRequires:  lib64cups2-devel lib64fox-devel lib64mesagl1-devel lib64mesaglu1-devel lib64taglib-devel
BuildRequires:	lib64bzip2-devel lib64dbus-1-devel lib64dbus-glib-1_2-devel lib64gtk+2.0_0-devel
BuildRequires:	lib64jpeg-devel lib64png-devel lib64sqlite3-devel lib64tiff-devel lib64x11_6-devel lib64xext6-devel
BuildRequires:	lib64xfixes3-devel lib64xine-devel lib64xi-devel zlib1-devel python-mpi4py-devel lib64gcrypt-devel
%endif

%ifarch i586
Requires:       libtaglib1 libcurl4 libdbus-1_3 libfox1.7 libgcrypt11 libmesagl1 libmesaglu1
Requires:       libgpg-error0 libsqlite3_0 libx11_6 libxine1 phonon-xine libdbus-glib-1_2 libgtk+2.0_0
%endif
%ifarch x86_64
Requires:       lib64taglib1 lib64curl4 lib64dbus-1_3 lib64fox1.7 lib64gcrypt11 lib64mesagl1 lib64mesaglu1
Requires:	lib64gpg-error0 lib64sqlite3_0 lib64x11_6 lib64xine1 phonon-xine lib64dbus-glib-1_2 lib64gtk+2.0_0
%endif


%description
Goggles Music Manager is a music collection manager and player that 
automatically categorizes your music files based on genre, artist, 
album, and song. It supports gapless playback and features easy tag editing.


%prep
%setup -q -n %{name}-%{version}


%build
./configure --with-dbus
make


%install
%{__rm} -fr %{buildroot}
%{makeinstall_std}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/gogglesmm.mo
%{_mandir}/man1/*.lzma

%post 
%{update_desktop_database}
%{update_menus}


%postun 
%{clean_desktop_database}
%{clean_menus}


%changelog
* Mon Sep 13 2010 Jens Ornot <rpm@mandrivauser.de> 0.11.2-1mud2010.1
- new version

* Mon Aug 30 2010 Jens Ornot <rpm@mandrivauser.de> 0.11.1-1mud2010.1
- new version
- rebuild for MandrivaLinux 2010.1

* Sat Jun 20 2009 tigger-gg <rpm@mandrivauser.de> 0.10.3-1mud2009.1
- new version 0.10.3

* Fri Jun 05 2009 tigger-gg <rpm@mandrivauser.de> 0.10.2-1mud2009.1
- new version 0.10.2
- added phonon-xine Requires
- added dbus support

* Wed Jun 03 2009 tigger-gg <rpm@mandrivauser.de> 0.10.0-2mud2009.1
- new version 0.10.1

* Tue Jun 02 2009 tigger-gg <rpm@mandrivauser.de> 0.10.0-1mud2009.1
- initial package for Mandriva 2009.1 
